Bug 155759 - PS/2 keyboard and mouse dead on smp kernel with E7505 chipset
PS/2 keyboard and mouse dead on smp kernel with E7505 chipset
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-22 16:02 EDT by David Chambers
Modified: 2015-01-04 17:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 11:21:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Chambers 2005-04-22 16:02:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050420 Fedora/1.0.3-2.dc Firefox/1.0.3

Description of problem:
Fresh install of FC4T2 on Tyan S2665 mainboard (i7505 chipset) with dual Xeons.  Upon reboot into smp mode, the PS/2 keyboard and mouse are dead; no lights on keyboard and optical mouse LED is turned off.  Have to press reset to reboot.  System works normally with uniprocessor kernel.

Updated to kernel 1258, same problem.  The message "i8042.c: Can't read CTR while initializing i8042" appears at boot time.

Version-Release number of selected component (if applicable):
kernel-2.6 (all versions)

How reproducible:

Steps to Reproduce:
1. Install FC4T2
2. Reboot


Actual Results:  Keyboard and mouse both dead.

Expected Results:  Keyboard and mouse should work :-)

Additional info:

This problem has been present for the 7505 chipset since at least FC2: see bug 123535.

(1) disable USB legacy support .  This is not possible on recent Tyan S2665 BIOSes.
(2) disable USB completely.  Not a viable option!
(3) boot with the "usb-handoff" option.

Given that the bug is not fixed in the kernel, shouldn't the installer detect this chipset and add usb-handoff to the Grub smp boot line?
Comment 1 Dave Jones 2005-04-24 20:46:37 EDT
one option would be to automatically do the usb-handoff based on the dmi data
for that motherboard.  I'd like to know what Pete thinks before we do this
though, in case theres a better option. 
Comment 2 Pete Zaitcev 2005-04-24 21:38:21 EDT
I am trying to get automatic setup working, but I need someone who is willing
to test and everyone just continues to use usb-handoff option. See bug 138892
for example. The linux-kernel thread is here:
Comment 3 David Chambers 2005-04-25 08:02:27 EDT
I'm willing to test for the Tyan S2665 boards but I don't have any Dell boxes to
test with.  It looks like a number of folks have hit this bug and it would be
great to see it squashed!
Comment 4 Dave Jones 2005-06-27 19:20:33 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done

Comment 5 David Chambers 2005-07-13 12:23:37 EDT
Still a problem with FC4 final (fresh install, 2.6.11-1.1369_FC4smp) and after
updating to 2.6.12-1.1390_FC4smp.  Again, specifying usb-handoff on boot
remedies the situation.
Comment 6 Dave Jones 2005-07-15 17:39:21 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 7 David Chambers 2005-07-18 08:47:01 EDT
Still the same with 2.6.12-1.1398_FC4.
Comment 8 David Niemi 2005-08-01 06:53:01 EDT
I also have part of this problem with an ASUS NCCH-DL with dual Xeons which I
don't think has the 7505 chipset.  PS/2 mouse doesn't work with i386_64 smp
kernels but works fine with the i386_64 single processor kernels. keyboard works
fine with both kernels.

Will try the kernel parameter "usb-handoff".  I've already installed the 1398
kernel so will try the hwconf stuff at the next kernel update.
Comment 9 David Bernhard 2005-08-17 09:36:15 EDT
I have this problem with my INTEL or840703 workstation board. Dual p3, 1G
memory, ati radeon 7500 agp. Disabling usb legacy in bios does get around it. I
am willing to test fixes for you as this is a play system and can be rebooted
whenever i feel like it. it is a kernal problem as other linux distros work
without usb disabled.
Comment 10 Dave Jones 2005-09-30 03:04:54 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 11 Aleksander Kasprzyk 2005-09-30 16:39:01 EDT
I have this problem on my Medion md41300 Intel Pentium 4 3.06 GHz HT.
With the last kernel: 2.6.13-1.1526_FC4smp I have to use option usb-handoff to 
make mork my keyboard.

That's why I think this bug is not closed...
(In reply to comment #10)
Comment 12 Dave Jones 2005-11-10 15:11:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 13 Aleksander Kasprzyk 2005-11-11 17:29:06 EST
The problem is always present.
What I can say something in addition, on others distributions like Ubuntu 5.10 
or OpenSolaris 10, my keybourd works fine under SMP kernel.

I have remarked an onother problem, but I think it is general for SMP kernels:
on my laptop, the system freezes sometimes after working a while on the SMP 
kernel. X window freezes - does not respond on any mouse or keybord command.
When I switch on console tty - login or commands don't work.
From other machine whe I make ping I have host unreachable or all packages lost.

Comment 14 Aleksander Kasprzyk 2005-11-11 17:35:55 EST
I have this message when I am booting on Fedora Core 4 SMP kernel:

Nov 11 19:50:30 medionak kernel: i8042.c: Can't read CTR while initializing 
Comment 15 Dave Jones 2006-02-03 01:02:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 16 David Niemi 2006-02-04 09:21:33 EST
This particular bug seems to be fixed for me now, no longer need to use the
usb-handoff with my ASUS NCCH-DL with dual Xeons which I don't think has the
7505 chipset. Other issues now though... per a couple list treads.
Comment 17 Aleksander Kasprzyk 2006-02-04 09:57:27 EST
For me too, this bug seems to be fixed. I don't need to use option usb-handoff.
But I have always the problem on the SMP kernels that my Medion notebook 
freezes. I think that it is general for all SMP kernels and distributions. 
Comment 18 David Chambers 2006-02-06 11:21:11 EST
It's definitely fixed in this kernel.  Boots fine without usb-handoff; mouse
works, keyboard works!

Note You need to log in before you can comment on or make changes to this bug.